org.eclipse.oomph.resources

## Interface SourceLocator

- All Superinterfaces:
    EObject, ModelElement, Notifier
  All Known Implementing Classes:
    SourceLocatorImpl

      public interface SourceLocator
      extends ModelElement

  A representation of the model object 'Source Locator'.

  The following features are supported:

  - `Root Folder`
  - `Excluded Paths`
  - `Project Factories`
  - `Predicates`
  - `Locate Nested Projects`
  See Also:
    `ResourcesPackage.getSourceLocator()`
  Generated
  Model

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EList<String>` | `getExcludedPaths()` Returns the value of the 'Excluded Paths' attribute list.
    `EList<Predicate>` | `getPredicates()` Returns the value of the 'Predicates' containment reference list.
    `EList<ProjectFactory>` | `getProjectFactories()` Returns the value of the 'Project Factories' containment reference list.
    `String` | `getRootFolder()` Returns the value of the 'Root Folder' attribute.
    `void` | `handleProjects(EList<ProjectFactory> defaultProjectFactories, ProjectHandler projectHandler, MultiStatus status, IProgressMonitor monitor)`
    `boolean` | `isLocateNestedProjects()` Returns the value of the 'Locate Nested Projects' attribute.
    `IProject` | `loadProject(EList<ProjectFactory> defaultProjectFactories, BackendContainer backendContainer, IProgressMonitor monitor)`
    `boolean` | `matches(IProject project)`
    `void` | `setLocateNestedProjects(boolean value)` Sets the value of the '`Locate Nested Projects`' attribute.
    `void` | `setRootFolder(String value)` Sets the value of the '`Root Folder`' attribute.

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getRootFolder

          String getRootFolder()

      Returns the value of the 'Root Folder' attribute.

      If the meaning of the 'Root Folder' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Root Folder' attribute.
      See Also:
        `setRootFolder(String)`, `ResourcesPackage.getSourceLocator_RootFolder()`
      Generated
      Model
        required="true"

    - #### setRootFolder

          void setRootFolder(String value)

      Sets the value of the '`Root Folder`' attribute.
      Parameters:
        `value` - the new value of the 'Root Folder' attribute.
      See Also:
        `getRootFolder()`
      Generated

    - #### getExcludedPaths

          EList<String> getExcludedPaths()

      Returns the value of the 'Excluded Paths' attribute list. The list contents are of type `String`.

      If the meaning of the 'Excluded Paths' attribute list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Excluded Paths' attribute list.
      See Also:
        `ResourcesPackage.getSourceLocator_ExcludedPaths()`
      Generated
      Model
        extendedMetaData="name='excludedPath'"

    - #### getProjectFactories

          EList<ProjectFactory> getProjectFactories()

      Returns the value of the 'Project Factories' containment reference list. The list contents are of type `ProjectFactory`.

      If the meaning of the 'Project Factories' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Project Factories' containment reference list.
      See Also:
        `ResourcesPackage.getSourceLocator_ProjectFactories()`
      Generated
      Model
        containment="true" extendedMetaData="name='projectFactory'"

    - #### isLocateNestedProjects

          boolean isLocateNestedProjects()

      Returns the value of the 'Locate Nested Projects' attribute.

      If the meaning of the 'Locate Nested Projects' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Locate Nested Projects' attribute.
      See Also:
        `setLocateNestedProjects(boolean)`, `ResourcesPackage.getSourceLocator_LocateNestedProjects()`
      Generated
      Model

    - #### setLocateNestedProjects

          void setLocateNestedProjects(boolean value)

      Sets the value of the '`Locate Nested Projects`' attribute.
      Parameters:
        `value` - the new value of the 'Locate Nested Projects' attribute.
      See Also:
        `isLocateNestedProjects()`
      Generated

    - #### getPredicates

          EList<Predicate> getPredicates()

      Returns the value of the 'Predicates' containment reference list. The list contents are of type `Predicate`.

      If the meaning of the 'Predicates' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Predicates' containment reference list.
      See Also:
        `ResourcesPackage.getSourceLocator_Predicates()`
      Generated
      Model
        containment="true" extendedMetaData="name='predicate'"

    - #### matches

          boolean matches(IProject project)

      Generated
      Model
        projectDataType="org.eclipse.oomph.predicates.Project"

    - #### loadProject

          IProject loadProject(EList<ProjectFactory> defaultProjectFactories,
                             BackendContainer backendContainer,
                             IProgressMonitor monitor)

      Generated
      Model
        dataType="org.eclipse.oomph.predicates.Project" defaultProjectFactoriesMany="true" backendContainerDataType="org.eclipse.oomph.resources.BackendContainer" monitorDataType="org.eclipse.oomph.resources.ProgressMonitor"

    - #### handleProjects

          void handleProjects(EList<ProjectFactory> defaultProjectFactories,
                            ProjectHandler projectHandler,
                            MultiStatus status,
                            IProgressMonitor monitor)

      Generated
      Model
        defaultProjectFactoriesMany="true" projectHandlerDataType="org.eclipse.oomph.resources.ProjectHandler" statusDataType="org.eclipse.oomph.resources.MultiStatus" monitorDataType="org.eclipse.oomph.resources.ProgressMonitor"

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html